r3.mask(1)

NAME
r3.mask - Establishes the current working 3D raster mask.

KEYWORDS
raster3d, mask, null data, no-data, voxel

SYNOPSIS
r3.mask
r3.mask --help
r3.mask map=string [maskvalues=val[-val][,val[-val],...]] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

map=string [required]
    3D raster map with reference values

maskvalues=val[-val][,val[-val],...]
    List of cell values to be masked out

DESCRIPTION
r3.mask facilitates the creation of a raster3d "MASK" map to control raster3d operations. The raster3d map is used as the reference map. Cells in the mask are marked as "mask out" if the corresponding cell in map contains a value in the range specified with maskvalues.

NOTES
Before a new 3D-mask can be created the existing mask has to be removed with g.remove.

SEE ALSO
g.remove

AUTHORS
Roman Waupotitsch, Michael Shapiro, Helena Mitasova, Bill Brown, Lubos Mitas, Jaro Hofierka

SOURCE CODE

Available at: r3.mask source code (history)

Latest change: Tuesday Dec 17 20:17:20 2024 in commit: d962e90c026708a4815ea2b9f46c0e84c17de22d

Main index | 3D raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2025 GRASS Development Team, GRASS GIS 8.4.1 Reference Manual